/*
 *  CCommUSB.h
 *  CDPFMate3.0
 *
 *  Created by Xu Huajun on 9/14/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */
#ifndef  USBFile
#define  USBFile
#include <Carbon/Carbon.h>
#include <IOKit/usb/IOUSBLib.h>
#include <IOKit/IOCFPlugIn.h>
#include <unistd.h>
#include <IOKit/IOKitLib.h>
#include <IOKit/scsi-commands/SCSITaskLib.h>
#include <IOKit/storage/IOStorageProtocolCharacteristics.h>
#include <mach/mach_port.h>
#define FromDPF		0x02
#define ToDPF		0x01
#define Nodata		0x00
class CCommUSB
{
public:
	CCommUSB(long PID,long VID);
	void IniUSBDevice();
	bool GetUSBDeviceStatus();
	void DevClose();
	bool SendCmdToDPF(char *cmd,char *buff,int buffsize,int Direction);
	static void  DeviceAppeared(void *refCon, io_iterator_t iterator) ;
	static void DeviceDisappeared(void *refCon, io_iterator_t iterator) ;
	static bool TestDevice(io_iterator_t mediaIterator);
	static void TestSuccess(SCSITaskDeviceInterface **interface);
	static void SetUSBDeviceStatus(bool flag);
	static bool GetDeviceInfo(SCSITaskDeviceInterface **interface); 
	static void EjectMyDPF();
};
#endif