/*
 *  CProcessPic.h
 *  DTF
 *
 *  Created by buildlwin on 5/21/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */
#include <Carbon/Carbon.h>
#ifdef __cplusplus
extern "C" {
#endif
struct ImageInfo
{
	float fRotation;				// The rotation about the center of the image (degrees)
	float fScaleX;				// The scaling of the image along it's X-axis
	float fScaleY;				// The scaling of the image along it's Y-axis
	float fTranslateX;			// Move the image along the X-axis
	float fTranslateY;			// Move the image along the Y-axis
	CGImageRef fImageRef;			// The image itself
};
typedef unsigned long DWORD ;
typedef unsigned short WORD ;
typedef struct BMP_HEAD_STRUCT
{
char identifier[2];
char filesize[4];
DWORD reserved;
char bitmapdataoffset[4];
char bitmapheadersize[4];
char width[4];
char height[4];
char planes[2];
char bitsperpixel[2];
DWORD compression;
DWORD bitmapdatasize;
DWORD hresolution;
DWORD vresolution;
DWORD colors;
DWORD importantcolors;
}struct_BMP_HEAD,*struct_BMP_HEAD_p;
typedef struct {
	size_t width;
	size_t height;
	size_t bitsPerComponent;
	size_t bitsPerPixel;
	size_t bytesPerRow;
	size_t size;
	CGImageAlphaInfo ai;
	CGColorSpaceRef cs;
	unsigned char *data;
	CMProfileRef prof;
} BitmapInfo;
CGImageRef CreateMyImage(FSSpec fsspecImage,bool flag);
ImageInfo * LoadPicture(FSSpec fsspecImage);
void ReleaseMyImage(ImageInfo * image);
void SaveBmpFile(unsigned char *data,int width,int high,char *filename);
void DrawMyImage(CGContextRef myContext,CGRect bounds,ImageInfo* myImage,bool flag);
#ifdef __cplusplus
}
#endif